{
  "type" : "record",
  "name" : "TransactionStatusChange",
  "namespace" : "org.gel.models.cva.avro",
  "doc" : "Keeps track of a transaction status change",
  "fields" : [ {
    "name" : "to",
    "type" : {
      "type" : "enum",
      "name" : "TransactionStatus",
      "doc" : "The transaction status:\n\n* PENDING: a transaction in the queue pending to be processed\n* BLOCKED: a transaction already being processed\n* PROCESSING: a transaction being processed (normalised, lifted over and annotated)\n* PERSISTING: a transaction being persisted in the database\n* BLOCKED: a transaction already being processed\n* DONE: a transaction has been successfully processed\n* CANCELLING: a transaction is being rolled back\n* CANCELLED: a transaction has been rolled back\n* ERROR: erroneous transaction that cannot be processed, nor retried (this is caused by reported variants already in the database)\n* ROLLBACK_ERROR: a transaction failed to roll back (this may leave the database in an inconsistent state)\n* DELETED: a transaction has been deleted by a user (same effect as CANCELLED but user triggered)\n\n    The happy path is PENDING -> BLOCKED -> PROCESSING -> PERSISTING -> DONE",
      "symbols" : [ "PENDING", "BLOCKED", "PROCESSING", "PERSISTING", "DONE", "CANCELLING", "CANCELLED", "ERROR", "ROLLBACK_ERROR", "DELETED" ]
    },
    "doc" : "The new transaction status"
  }, {
    "name" : "timestamp",
    "type" : "string",
    "doc" : "A timestamp with the status change"
  }, {
    "name" : "message",
    "type" : [ "null", "string" ],
    "doc" : "A message"
  }, {
    "name" : "errorMessage",
    "type" : [ "null", "string" ],
    "doc" : "An error message in case the transaction ingestion failed"
  }, {
    "name" : "stackTrace",
    "type" : [ "null", "string" ],
    "doc" : "The stracktrace in case the transaction ingestion failed"
  }, {
    "name" : "cvaVersion",
    "type" : [ "null", "string" ],
    "doc" : "The CVA version that processed the transaction"
  } ]
}
